Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1045251 - Anaconda fails to remove English (US) keyboard layout
Summary: Anaconda fails to remove English (US) keyboard layout
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-session
Version: 20
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-20 02:49 UTC by Michael Catanzaro
Modified: 2015-06-29 13:39 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 13:39:04 UTC
Type: Bug


Attachments (Terms of Use)

Description Michael Catanzaro 2013-12-20 02:49:53 UTC
Description of problem: English (US) keyboard layout is available by default, even though I deleted it in Anaconda.

How reproducible: Always


Steps to Reproduce:
1. Visit the keyboard layout spoke
2. Delete the English (US) keyboard layout and replace it with English (Dvorak)
3. Complete installation and restart computer

Actual results: Both keyboard layouts are available as options in gdm. (Dvorak is properly the default layout.) Both are pre-selected in gnome-initial-setup.


Expected results: English (US) should not be available in gdm nor pre-selected in gnome-initial-setup -- I already deleted it!

Additional info: Tested with both Fedora Live Desktop and the DVD installer.

Comment 1 David Shea 2013-12-20 17:36:47 UTC
Just tried this and confirmed that the /etc/X11/xorg.conf.d/00-keyboard.conf written by anaconda contains only one layout: XkbLayout "us" and XkbVariant dvorak. The other keyboard layout is being added somewhere in GNOME.

Comment 2 Michael Catanzaro 2013-12-21 04:07:55 UTC
(In reply to David Shea from comment #1)
> Just tried this and confirmed that the /etc/X11/xorg.conf.d/00-keyboard.conf
> written by anaconda contains only one layout: XkbLayout "us" and XkbVariant
> dvorak. The other keyboard layout is being added somewhere in GNOME.

Yup. Also: after removing English (US) as a layout option in gnome-initial-setup, it was no longer an option in the shell, but it's still an option in GDM.

Possibly related, possibly a separate bug: my user account has no language set. In the Region & Language panel, both the Language and Format boxes are blank. My language also appears as blank in the Users panel.

Comment 3 Solomon Sunder 2014-10-23 14:33:07 UTC
This issue is present even when I select other languages like Hindi and Tamil. I am unable to remove the US keyboard layout completely.

Comment 4 Fedora End Of Life 2015-05-29 10:04:04 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2015-06-29 13:39:04 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.